# Uses of Interface
org.apache.trevni.Input

## Uses of Input in org.apache.trevni

Classes in org.apache.trevni that implement Input
Modifier and Type
Class
Description
`class`
`InputBytes`
An `Input` backed with data in a byte array.
`class`
`InputFile`
An `Input` for files.
Constructors in org.apache.trevni with parameters of type Input
Modifier
Constructor
Description
``
`ColumnFileReader(Input file)`
Construct reading from the provided input.